> For the complete documentation index, see [llms.txt](https://docs.coresignal.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coresignal.com/jobs-api/base-jobs-api/endpoints/bulk-collect/post-requests.md).

# POST Requests: Base Jobs API

{% columns %}
{% column width="16.666666666666664%" %}
Data type:

URLs:
{% endcolumn %}

{% column %}
Base Jobs

<https://api.coresignal.com/cdapi/v2/data\\_requests/job\\_base/filter\\>
<https://api.coresignal.com/cdapi/v2/data\\_requests/job\\_base/id\\_file>
{% endcolumn %}
{% endcolumns %}

***

## Overview

Bulk Collect offers two POST endpoints that simplify large-scale collection of job data records. Each request draws from a deduplicated, globally sourced dataset that covers major job markets worldwide. Active postings are revisited within 24 hours, ensuring that bulk exports capture both the complete historical archive and near-real-time status.

{% hint style="danger" %}
Before you proceed with your Bulk Collect requests, test them in the Jobs data API first to avoid any unexpected costs.
{% endhint %}

Find step-by-step guides for making Bulk Collect POST requests in the following topic:

<table data-view="cards"><thead><tr><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td>Bulk Collect POST requests guides</td><td><a href="/pages/5uea6OK6JwACFX27NdEx">/pages/5uea6OK6JwACFX27NdEx</a></td></tr></tbody></table>

## Search filter requests

<table data-view="cards"><thead><tr><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td>Base Jobs API Search filters list</td><td><a href="/pages/UOy2ZcWAbeb25NkkQkBv">/pages/UOy2ZcWAbeb25NkkQkBv</a></td></tr></tbody></table>

Use the endpoint `/v2/data_requests/job_base/filter` to request job posting data in bulk using search filters.

### Endpoint usage example

{% hint style="info" %}
Keep in mind that parameters `webhook_url` and `limit` are **optional.**
{% endhint %}

{% code title="Example request" %}

```json
curl -X 'POST' \
  'https://api.coresignal.com/cdapi/v2/data_requests/job_base/filter' \
  -H 'accept: application/json' \
  -H 'apikey: {API Key}' \
  -H 'Content-Type: application/json' \
  -d '{
   "webhook_url": "{optional_webhook_url}",
   "limit": {optional_integer},
   "filters": { 
               "created_at_gte": "2023-05-01 00:00:01",
               "created_at_lte": "2023-05-07 00:00:01",
               "company_professional_network_url": "https://www.professional_network.com/company/thermo-fisher-scientific"
             }
}'
```

{% endcode %}

* Retrieve the `request ID` from the response body:

{% code title="Request ID" %}

```json
{
  "request_id": "433869ec-0a98-4dcd-9b13-db4df58260f5"
}
```

{% endcode %}

* `Location` response header provides a URL where the results can be retrieved.

> Location: /v2/data\_requests/e000b0ec-0f00-0b00-0a0a-0b00fa0000d0/files

***

## ID File requests

Use the endpoint `/v2/data_requests/job_base/id_file` to submit a list of IDs in a CSV or TXT file to request job posting data in bulk. Check the example for the IDs file request:

<table data-view="cards"><thead><tr><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td>ID File request guide</td><td><a href="/pages/5uea6OK6JwACFX27NdEx#id-file-requests">/pages/5uea6OK6JwACFX27NdEx#id-file-requests</a></td></tr></tbody></table>

### Endpoint usage example

{% code title="cURL request" %}

```json
curl -X 'POST' \
  'https://api.coresignal.com/cdapi/v2/data_requests/job_base/id_file' \
  -H 'accept: application/json' \
  -H 'apikey: {API Key}' \
  -H 'Content-Type: multipart/form-data' \
  -F 'ids_file=@id_list_example.csv;type=text/csv' \
  -F 'webhook_url={optional_webhook_url}'
```

{% endcode %}

* Retrieve the `request_id` from the response body:

{% code title="Request ID" %}

```json
{
  "request_id": "433869ec-0a98-4dcd-9b13-db4df58260f5"
}
```

{% endcode %}

* `Location` response header provides a URL where the results can be retrieved.

> Location: /v2/data\_requests/e000b0ec-0f00-0b00-0a0a-0b00fa0000d0/files

***

## Following steps

<table data-view="cards"><thead><tr><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td>Make GET requests to download the data</td><td><a href="/pages/R6KadZ2abd4Lv5MLac75">/pages/R6KadZ2abd4Lv5MLac75</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coresignal.com/jobs-api/base-jobs-api/endpoints/bulk-collect/post-requests.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
